| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
AbstractQoreClassUserData Class Referenceabstract

an abstract class for class-specific external user data More...

`#include <QoreClass.h>`

## Public Member Functions
virtual AbstractQoreClassUserData * | copy () const =0
| for reference-counted classes, returns the same object with the reference count incremented
virtual void | doDeref ()=0
| for non-reference counted classes, deletes the object immediately

## Detailed Description

an abstract class for class-specific external user data

Since
  Qore 0.8.13

The documentation for this class was generated from the following file:

- include/qore/QoreClass.h